Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 807868 - mail-client/thunderbird{,-bin}-91.3.0: version bump
Summary: mail-client/thunderbird{,-bin}-91.3.0: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 6 votes (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-12 09:15 UTC by m1027
Modified: 2021-11-11 21:15 UTC (History)
17 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Thunderbird-91.0.1.ebuild derived from firefox-91 (thunderbird-91.0.1.ebuild,32.29 KB, text/plain)
2021-08-18 15:56 UTC, /cbx
Details
gentoo runscript for thunderbird (thunderbird-r1.sh,2.82 KB, application/x-shellscript)
2021-08-18 15:57 UTC, /cbx
Details
Thunderbird-91.0.1.ebuild with config change inspired by thunderbird-bin (thunderbird-91.0.1.ebuild,31.85 KB, text/plain)
2021-08-20 13:52 UTC, /cbx
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m1027 2021-08-12 09:15:15 UTC
Thunderbird has a new ESR which is a giant step forward. From 78.x to 91.x.

The list of features fixes long lasting user desires. Multiprocessing, profile import/export, native carddav support and a lot more.

An ebuild for that would we fantastic.
Comment 1 wkg 2021-08-12 12:45:31 UTC
And as far as I understand, the dependence on the gtk2 is removed.
I'm waiting too. The last application that keeps gtk2 in the system.
Comment 2 Matthew Marchese Gentoo Infrastructure gentoo-dev 2021-08-18 06:42:23 UTC
I'm on the waiting list for list request as well... An update to 91.0 would be fantastic! Please soon!!!
Comment 3 Thomas Deutschmann gentoo-dev Security 2021-08-18 09:54:09 UTC
This will probably take another month. It's the same thing with every new ESR version in Gentoo:

Thunderbird depends on next Firefox ESR (91.0).

However, Firefox ESR 91.0 is identical with current non-ESR version but we will not maintain same branch twice (too much work). At one point, probably when Firefox 92.0 will get released (~2021-09-07), we will start working on Firefox ESR 91.x (based on 91.0 patch set -- so if you want to help, start testing 91.0 non-ESR version today).

Please also keep in mind that Mozilla hasn't yet started to push new 91.0 version via auto-update to existing 78.x users (not a GA-release yet) and current ESR (78.x) is still supported.
Comment 4 /cbx 2021-08-18 15:56:03 UTC
Created attachment 733831 [details]
Thunderbird-91.0.1.ebuild derived from firefox-91

This is my experimental ebuild for the thunderbird-91 series. It is absed on the firefox-91 ebuild and seems to create a functioning thunderbird.

The only problem I currently see is, that installing language packs fails verification.
Comment 5 /cbx 2021-08-18 15:57:42 UTC
Created attachment 733833 [details]
gentoo runscript for thunderbird

You'll need that one in the files/ directory as well.
Comment 6 wkg 2021-08-18 18:13:08 UTC
(In reply to /cbx from comment #4)
> Created attachment 733831 [details]
> Thunderbird-91.0.1.ebuild derived from firefox-91
> 
> This is my experimental ebuild for the thunderbird-91 series. It is absed on
> the firefox-91 ebuild and seems to create a functioning thunderbird.
> 
> The only problem I currently see is, that installing language packs fails
> verification.

Thank you! Is it possible to ignore verification the language pack?
Comment 7 /cbx 2021-08-20 13:52:07 UTC
Created attachment 734536 [details]
Thunderbird-91.0.1.ebuild with config change inspired by thunderbird-bin

Setting "MOZ_REQUIRE_SIGNING=" seems to solve the language pack issue. This hint was taken from the upstream "about:buildconfig". Don't ask me why they did this...
Comment 8 wkg 2021-08-20 14:52:18 UTC
(In reply to /cbx from comment #7)
> Created attachment 734536 [details]
> Thunderbird-91.0.1.ebuild with config change inspired by thunderbird-bin
> 
> Setting "MOZ_REQUIRE_SIGNING=" seems to solve the language pack issue. This
> hint was taken from the upstream "about:buildconfig". Don't ask me why they
> did this...

Thank you again!
Comment 9 Geoff Leach 2021-08-22 08:24:10 UTC
works for me, only light use so far but seems ok
Comment 10 Manfred Knick 2021-09-26 14:28:05 UTC
(In reply to Thomas Deutschmann from comment #3)

> Please also keep in mind that Mozilla hasn't yet started to push new 91.0
> version via auto-update to existing 78.x users (not a GA-release yet) and
> current ESR (78.x) is still supported.

" thunderbird-91-1-1-and-updates

Greetings Thunderbird Community.

Thunderbird 91 is doing well with 6% of users on version 91.  And today 91.1.1 shipped with additional fixes. So we are able to proceed with the following plan for the next couple weeks.

Next week manual updates will be enabled for users on version 78.  A few days after that change, when we have success with more users on version 91, we will then enable automatic updates from version 78.

(Caveat - some language/locale issues are still being resolved.
Until that work is completed, only en-US installs will be enabled for updates.)
"

https://thunderbird.topicbox.com/groups/planning/Tb34092ddd94a5f99-M22b34b3cd223548b2ff982c1/thunderbird-91-1-1-and-updates


Sounds like a little bit of further patience might be sufficient.
Comment 11 Manfred Knick 2021-10-12 09:22:25 UTC
Reference:
- please note [ https://bugs.gentoo.org/808885#c2 ]
Comment 12 Thomas Deutschmann gentoo-dev Security 2021-10-12 12:28:44 UTC
Yes, for Thunderbird, Mozilla enabled auto-update last week.

However, for Firefox, they haven't yet and our TB will be based on that version. But I am looking forward that new TB will land in next ~14 days in Gentoo.
Comment 13 Manfred Knick 2021-10-12 14:17:59 UTC
(In reply to Thomas Deutschmann from comment #12)

Not meant to hurry - only as info about upstream progress on this issue
for all interested / on CC List.

As already mentioned above:
... "a little bit of further patience might be sufficient."

Take your time until both settle themselves ...

Thanks @ Thomas!
Comment 14 m1027 2021-11-06 14:36:35 UTC
thunderbird{-bin}.91.3.0 is there, so we should close this issue soon.

Thank You so much!
Comment 15 Manfred Knick 2021-11-06 15:13:44 UTC
(In reply to m1027 from comment #14)
> ... so we should close this issue soon
Hint:
Being the reporter / owner of the bug,
you should be entitled with the permissions set to do so yourself :-)
Kind regards
Comment 16 m1027 2021-11-11 21:15:34 UTC
The version is there, things seem to work so far, so closing. Thanks again.